<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net9.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>

        <IsPackable>false</IsPackable>
        <IsTestProject>true</IsTestProject>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="coverlet.collector" Version="6.0.0" />
        <PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.8.0" />
        <PackageReference Include="moq" Version="4.20.72" />
        <PackageReference Include="MSTest.TestAdapter" Version="3.1.1" />
        <PackageReference Include="MSTest.TestFramework" Version="3.1.1" />
        <PackageReference Include="Shouldly" Version="4.3.0" />
		<PackageReference Include="CrypticWizard.RandomWordGenerator" Version="0.9.5" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\PlanTempus.Application\PlanTempus.Application.csproj" />
        <ProjectReference Include="..\PlanTempus.Components\PlanTempus.Components.csproj" />
        <ProjectReference Include="..\PlanTempus.Database\PlanTempus.Database.csproj" />
    </ItemGroup>

    <ItemGroup>
        <Using Include="Microsoft.VisualStudio.TestTools.UnitTesting" />
    </ItemGroup>

    <ItemGroup>
        <None Update="appconfiguration.dev.json">
            <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </None>
        <None Update="ConfigurationTests\appconfiguration.dev.json">
            <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </None>
        <None Update="ConfigurationTests\appconfiguration.dev.json">
            <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </None>
    </ItemGroup>

</Project>
